CVE-2005-3366
CVSS6.8
发布时间 :2005-10-30 09:34:00
修订时间 :2016-10-17 23:34:41
NMCO    

[原文]PHP file inclusion vulnerability in index.php in PHP iCalendar 2.0a2 through 2.0.1 allows remote attackers to execute arbitrary PHP code and include arbitrary local files via the phpicalendar cookie. NOTE: this is not a cross-site scripting (XSS) issue as claimed by the original researcher.


[CNNVD]PHP ICalendar Default_View 远程文件包含漏洞(CNNVD-200510-277)

        PHP iCalendar是基于PHP的iCal文件查看器/解析器,用于在浏览器中显示日历。
        PHP iCalendar 2.0a2到2.0.1的index.php存在PHP文件包含漏洞。远程攻击者可以借助phpicalendar cookie,执行任意PHP代码并包含任意本地文件。注: 此问题并非最初的研究人员所称的跨站脚本攻击(XSS) 问题。

- CVSS (基础分值)

CVSS分值: 6.8 [中等(MEDIUM)]
机密性影响: [--]
完整性影响: [--]
可用性影响: [--]
攻击复杂度: [--]
攻击向量: [--]
身份认证: [--]

- CPE (受影响的平台与产品)

cpe:/a:php_icalendar:php_icalendar:2.0a2
cpe:/a:php_icalendar:php_icalendar:2.0.1
cpe:/a:php_icalendar:php_icalendar:2.0b
cpe:/a:php_icalendar:php_icalendar:2.0c

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-3366
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-3366
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200510-277
(官方数据源) CNNVD

- 其它链接及资源

http://archives.neohapsis.com/archives/fulldisclosure/2005-10/0512.html
(VENDOR_ADVISORY)  FULLDISC  20051025 PHP iCalendar CSS
http://marc.info/?l=bugtraq&m=113025930517426&w=2
(UNKNOWN)  BUGTRAQ  20051025 PHP iCalendar CSS
http://securityreason.com/securityalert/113
(UNKNOWN)  SREASON  113
http://securitytracker.com/id?1015102
(UNKNOWN)  SECTRACK  1015102
http://www.securityfocus.com/bid/15193
(UNKNOWN)  BID  15193
http://www.ush.it/2005/10/25/php-icalendar-css/
(VENDOR_ADVISORY)  MISC  http://www.ush.it/2005/10/25/php-icalendar-css/
http://www.vupen.com/english/advisories/2005/2204
(UNKNOWN)  VUPEN  ADV-2005-2204
http://xforce.iss.net/xforce/xfdb/22864
(UNKNOWN)  XF  phpicalendar-index-file-include(22864)

- 漏洞信息

PHP ICalendar Default_View 远程文件包含漏洞
中危 跨站脚本
2005-10-30 00:00:00 2005-10-31 00:00:00
远程  
        PHP iCalendar是基于PHP的iCal文件查看器/解析器,用于在浏览器中显示日历。
        PHP iCalendar 2.0a2到2.0.1的index.php存在PHP文件包含漏洞。远程攻击者可以借助phpicalendar cookie,执行任意PHP代码并包含任意本地文件。注: 此问题并非最初的研究人员所称的跨站脚本攻击(XSS) 问题。

- 公告与补丁

        暂无数据

- 漏洞信息

20318
PHP iCalendar index.php phpicalendar Variable File Inclusion
Remote / Network Access
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2005-10-25 2005-10-23
2005-10-25 Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站